Interface SigninAsyncClient
- All Superinterfaces:
AutoCloseable,AwsClient,SdkAutoCloseable,SdkClient
builder() method.The asynchronous client performs non-blocking I/O when configured with any
SdkAsyncHttpClient supported in the SDK. However, full non-blocking is not guaranteed as the async client may
perform blocking calls in some cases such as credentials retrieval and endpoint discovery as part of the async API
call.
AWS Sign-In manages authentication for AWS services. This service provides secure authentication flows for accessing AWS resources from the console and developer tools.
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringValue for looking up the service's metadata from theServiceMetadataProvider.static final String -
Method Summary
Modifier and TypeMethodDescriptionstatic SigninAsyncClientBuilderbuilder()Create a builder that can be used to configure and create aSigninAsyncClient.static SigninAsyncClientcreate()Create aSigninAsyncClientwith the region loaded from theDefaultAwsRegionProviderChainand credentials loaded from theDefaultCredentialsProvider.createOAuth2Token(Consumer<CreateOAuth2TokenRequest.Builder> createOAuth2TokenRequest) CreateOAuth2Token APIcreateOAuth2Token(CreateOAuth2TokenRequest createOAuth2TokenRequest) CreateOAuth2Token APIdeleteConsoleAuthorizationConfiguration(Consumer<DeleteConsoleAuthorizationConfigurationRequest.Builder> deleteConsoleAuthorizationConfigurationRequest) Delete console authorization configuration with automatic scope detectiondeleteConsoleAuthorizationConfiguration(DeleteConsoleAuthorizationConfigurationRequest deleteConsoleAuthorizationConfigurationRequest) Delete console authorization configuration with automatic scope detectiondeleteResourcePermissionStatement(Consumer<DeleteResourcePermissionStatementRequest.Builder> deleteResourcePermissionStatementRequest) Remove a permission statement from the account's SignIn resource-based policydeleteResourcePermissionStatement(DeleteResourcePermissionStatementRequest deleteResourcePermissionStatementRequest) Remove a permission statement from the account's SignIn resource-based policygetConsoleAuthorizationConfiguration(Consumer<GetConsoleAuthorizationConfigurationRequest.Builder> getConsoleAuthorizationConfigurationRequest) Get console authorization configuration with automatic scope detectiongetConsoleAuthorizationConfiguration(GetConsoleAuthorizationConfigurationRequest getConsoleAuthorizationConfigurationRequest) Get console authorization configuration with automatic scope detectiongetResourcePolicy(Consumer<GetResourcePolicyRequest.Builder> getResourcePolicyRequest) Retrieve the account's consolidated SignIn resource-based policygetResourcePolicy(GetResourcePolicyRequest getResourcePolicyRequest) Retrieve the account's consolidated SignIn resource-based policylistResourcePermissionStatements(Consumer<ListResourcePermissionStatementsRequest.Builder> listResourcePermissionStatementsRequest) Retrieve all permission statements in the account's SignIn resource-based policylistResourcePermissionStatements(ListResourcePermissionStatementsRequest listResourcePermissionStatementsRequest) Retrieve all permission statements in the account's SignIn resource-based policylistResourcePermissionStatementsPaginator(Consumer<ListResourcePermissionStatementsRequest.Builder> listResourcePermissionStatementsRequest) This is a variant oflistResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation.listResourcePermissionStatementsPaginator(ListResourcePermissionStatementsRequest listResourcePermissionStatementsRequest) This is a variant oflistResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation.putConsoleAuthorizationConfiguration(Consumer<PutConsoleAuthorizationConfigurationRequest.Builder> putConsoleAuthorizationConfigurationRequest) Enable console authorization configuration with automatic scope detectionputConsoleAuthorizationConfiguration(PutConsoleAuthorizationConfigurationRequest putConsoleAuthorizationConfigurationRequest) Enable console authorization configuration with automatic scope detectionputResourcePermissionStatement(Consumer<PutResourcePermissionStatementRequest.Builder> putResourcePermissionStatementRequest) Create a permission statement in the account's SignIn resource-based policyputResourcePermissionStatement(PutResourcePermissionStatementRequest putResourcePermissionStatementRequest) Create a permission statement in the account's SignIn resource-based policydefault SigninServiceClientConfigurationThe SDK service client configuration exposes client settings to the user, e.g., ClientOverrideConfigurationMethods inherited from interface software.amazon.awssdk.utils.SdkAutoCloseable
closeMethods inherited from interface software.amazon.awssdk.core.SdkClient
serviceName
-
Field Details
-
SERVICE_NAME
- See Also:
-
SERVICE_METADATA_ID
Value for looking up the service's metadata from theServiceMetadataProvider.- See Also:
-
-
Method Details
-
createOAuth2Token
default CompletableFuture<CreateOAuth2TokenResponse> createOAuth2Token(CreateOAuth2TokenRequest createOAuth2TokenRequest) CreateOAuth2Token API
Path: /v1/token Request Method: POST Content-Type: application/json or application/x-www-form-urlencoded
This API implements OAuth 2.0 flows for AWS Sign-In CLI clients, supporting both:
- Authorization code redemption (grant_type=authorization_code) - NOT idempotent
- Token refresh (grant_type=refresh_token) - Idempotent within token validity window
The operation behavior is determined by the grant_type parameter in the request body:
Authorization Code Flow (NOT Idempotent):
- JSON or form-encoded body with client_id, grant_type=authorization_code, code, redirect_uri, code_verifier
- Returns access_token, token_type, expires_in, refresh_token, and id_token
- Each authorization code can only be used ONCE for security (prevents replay attacks)
Token Refresh Flow (Idempotent):
- JSON or form-encoded body with client_id, grant_type=refresh_token, refresh_token
- Returns access_token, token_type, expires_in, and refresh_token (no id_token)
- Multiple calls with same refresh_token return consistent results within validity window
Authentication and authorization:
- Confidential clients: sigv4 signing required with signin:ExchangeToken permissions
- CLI clients (public): authn/authz skipped based on client_id & grant_type
Note: This operation cannot be marked as @idempotent because it handles both idempotent (token refresh) and non-idempotent (auth code redemption) flows in a single endpoint.
- Parameters:
createOAuth2TokenRequest- Input structure for CreateOAuth2Token operationContains flattened token operation inputs for both authorization code and refresh token flows. The operation type is determined by the grant_type parameter in the request body.
- Returns:
- A Java Future containing the result of the CreateOAuth2Token operation returned by the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
createOAuth2Token
default CompletableFuture<CreateOAuth2TokenResponse> createOAuth2Token(Consumer<CreateOAuth2TokenRequest.Builder> createOAuth2TokenRequest) CreateOAuth2Token API
Path: /v1/token Request Method: POST Content-Type: application/json or application/x-www-form-urlencoded
This API implements OAuth 2.0 flows for AWS Sign-In CLI clients, supporting both:
- Authorization code redemption (grant_type=authorization_code) - NOT idempotent
- Token refresh (grant_type=refresh_token) - Idempotent within token validity window
The operation behavior is determined by the grant_type parameter in the request body:
Authorization Code Flow (NOT Idempotent):
- JSON or form-encoded body with client_id, grant_type=authorization_code, code, redirect_uri, code_verifier
- Returns access_token, token_type, expires_in, refresh_token, and id_token
- Each authorization code can only be used ONCE for security (prevents replay attacks)
Token Refresh Flow (Idempotent):
- JSON or form-encoded body with client_id, grant_type=refresh_token, refresh_token
- Returns access_token, token_type, expires_in, and refresh_token (no id_token)
- Multiple calls with same refresh_token return consistent results within validity window
Authentication and authorization:
- Confidential clients: sigv4 signing required with signin:ExchangeToken permissions
- CLI clients (public): authn/authz skipped based on client_id & grant_type
Note: This operation cannot be marked as @idempotent because it handles both idempotent (token refresh) and non-idempotent (auth code redemption) flows in a single endpoint.
This is a convenience which creates an instance of the
CreateOAuth2TokenRequest.Builderavoiding the need to create one manually viaCreateOAuth2TokenRequest.builder()- Parameters:
createOAuth2TokenRequest- AConsumerthat will call methods onCreateOAuth2TokenRequest.Builderto create a request. Input structure for CreateOAuth2Token operationContains flattened token operation inputs for both authorization code and refresh token flows. The operation type is determined by the grant_type parameter in the request body.
- Returns:
- A Java Future containing the result of the CreateOAuth2Token operation returned by the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
deleteConsoleAuthorizationConfiguration
default CompletableFuture<DeleteConsoleAuthorizationConfigurationResponse> deleteConsoleAuthorizationConfiguration(DeleteConsoleAuthorizationConfigurationRequest deleteConsoleAuthorizationConfigurationRequest) Delete console authorization configuration with automatic scope detection
- Parameters:
deleteConsoleAuthorizationConfigurationRequest- Input for DeleteConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the DeleteConsoleAuthorizationConfiguration operation returned by
the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
deleteConsoleAuthorizationConfiguration
default CompletableFuture<DeleteConsoleAuthorizationConfigurationResponse> deleteConsoleAuthorizationConfiguration(Consumer<DeleteConsoleAuthorizationConfigurationRequest.Builder> deleteConsoleAuthorizationConfigurationRequest) Delete console authorization configuration with automatic scope detection
This is a convenience which creates an instance of the
DeleteConsoleAuthorizationConfigurationRequest.Builderavoiding the need to create one manually viaDeleteConsoleAuthorizationConfigurationRequest.builder()- Parameters:
deleteConsoleAuthorizationConfigurationRequest- AConsumerthat will call methods onDeleteConsoleAuthorizationConfigurationRequest.Builderto create a request. Input for DeleteConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the DeleteConsoleAuthorizationConfiguration operation returned by
the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
deleteResourcePermissionStatement
default CompletableFuture<DeleteResourcePermissionStatementResponse> deleteResourcePermissionStatement(DeleteResourcePermissionStatementRequest deleteResourcePermissionStatementRequest) Remove a permission statement from the account's SignIn resource-based policy
- Parameters:
deleteResourcePermissionStatementRequest- Input for DeleteResourcePermissionStatement operation- Returns:
- A Java Future containing the result of the DeleteResourcePermissionStatement operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
deleteResourcePermissionStatement
default CompletableFuture<DeleteResourcePermissionStatementResponse> deleteResourcePermissionStatement(Consumer<DeleteResourcePermissionStatementRequest.Builder> deleteResourcePermissionStatementRequest) Remove a permission statement from the account's SignIn resource-based policy
This is a convenience which creates an instance of the
DeleteResourcePermissionStatementRequest.Builderavoiding the need to create one manually viaDeleteResourcePermissionStatementRequest.builder()- Parameters:
deleteResourcePermissionStatementRequest- AConsumerthat will call methods onDeleteResourcePermissionStatementRequest.Builderto create a request. Input for DeleteResourcePermissionStatement operation- Returns:
- A Java Future containing the result of the DeleteResourcePermissionStatement operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
getConsoleAuthorizationConfiguration
default CompletableFuture<GetConsoleAuthorizationConfigurationResponse> getConsoleAuthorizationConfiguration(GetConsoleAuthorizationConfigurationRequest getConsoleAuthorizationConfigurationRequest) Get console authorization configuration with automatic scope detection
- Parameters:
getConsoleAuthorizationConfigurationRequest- Input for GetConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the GetConsoleAuthorizationConfiguration operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
getConsoleAuthorizationConfiguration
default CompletableFuture<GetConsoleAuthorizationConfigurationResponse> getConsoleAuthorizationConfiguration(Consumer<GetConsoleAuthorizationConfigurationRequest.Builder> getConsoleAuthorizationConfigurationRequest) Get console authorization configuration with automatic scope detection
This is a convenience which creates an instance of the
GetConsoleAuthorizationConfigurationRequest.Builderavoiding the need to create one manually viaGetConsoleAuthorizationConfigurationRequest.builder()- Parameters:
getConsoleAuthorizationConfigurationRequest- AConsumerthat will call methods onGetConsoleAuthorizationConfigurationRequest.Builderto create a request. Input for GetConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the GetConsoleAuthorizationConfiguration operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
getResourcePolicy
default CompletableFuture<GetResourcePolicyResponse> getResourcePolicy(GetResourcePolicyRequest getResourcePolicyRequest) Retrieve the account's consolidated SignIn resource-based policy
- Parameters:
getResourcePolicyRequest- Input for GetResourcePolicy operation- Returns:
- A Java Future containing the result of the GetResourcePolicy operation returned by the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
getResourcePolicy
default CompletableFuture<GetResourcePolicyResponse> getResourcePolicy(Consumer<GetResourcePolicyRequest.Builder> getResourcePolicyRequest) Retrieve the account's consolidated SignIn resource-based policy
This is a convenience which creates an instance of the
GetResourcePolicyRequest.Builderavoiding the need to create one manually viaGetResourcePolicyRequest.builder()- Parameters:
getResourcePolicyRequest- AConsumerthat will call methods onGetResourcePolicyRequest.Builderto create a request. Input for GetResourcePolicy operation- Returns:
- A Java Future containing the result of the GetResourcePolicy operation returned by the service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
listResourcePermissionStatements
default CompletableFuture<ListResourcePermissionStatementsResponse> listResourcePermissionStatements(ListResourcePermissionStatementsRequest listResourcePermissionStatementsRequest) Retrieve all permission statements in the account's SignIn resource-based policy
- Parameters:
listResourcePermissionStatementsRequest- Input for ListResourcePermissionStatements operation- Returns:
- A Java Future containing the result of the ListResourcePermissionStatements operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
listResourcePermissionStatements
default CompletableFuture<ListResourcePermissionStatementsResponse> listResourcePermissionStatements(Consumer<ListResourcePermissionStatementsRequest.Builder> listResourcePermissionStatementsRequest) Retrieve all permission statements in the account's SignIn resource-based policy
This is a convenience which creates an instance of the
ListResourcePermissionStatementsRequest.Builderavoiding the need to create one manually viaListResourcePermissionStatementsRequest.builder()- Parameters:
listResourcePermissionStatementsRequest- AConsumerthat will call methods onListResourcePermissionStatementsRequest.Builderto create a request. Input for ListResourcePermissionStatements operation- Returns:
- A Java Future containing the result of the ListResourcePermissionStatements operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
listResourcePermissionStatementsPaginator
default ListResourcePermissionStatementsPublisher listResourcePermissionStatementsPaginator(ListResourcePermissionStatementsRequest listResourcePermissionStatementsRequest) This is a variant of
listResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation. The return type is a custom publisher that can be subscribed to request a stream of response pages. SDK will internally handle making service calls for you.When the operation is called, an instance of this class is returned. At this point, no service calls are made yet and so there is no guarantee that the request is valid. If there are errors in your request, you will see the failures only after you start streaming the data. The subscribe method should be called as a request to start streaming data. For more info, see
Publisher.subscribe(org.reactivestreams.Subscriber). Each call to the subscribe method will result in a newSubscriptioni.e., a new contract to stream data from the starting request.The following are few ways to use the response class:
1) Using the subscribe helper method
2) Using a custom subscribersoftware.amazon.awssdk.services.signin.paginators.ListResourcePermissionStatementsPublisher publisher = client.listResourcePermissionStatementsPaginator(request); CompletableFuture<Void> future = publisher.subscribe(res -> { // Do something with the response }); future.get();
As the response is a publisher, it can work well with third party reactive streams implementations like RxJava2.software.amazon.awssdk.services.signin.paginators.ListResourcePermissionStatementsPublisher publisher = client.listResourcePermissionStatementsPaginator(request); publisher.subscribe(new Subscriber<software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsResponse>() { public void onSubscribe(org.reactivestreams.Subscriber subscription) { //... }; public void onNext(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsResponse response) { //... }; });Please notice that the configuration of maxResults won't limit the number of results you get with the paginator. It only limits the number of results in each page.
Note: If you prefer to have control on service calls, use the
listResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation.- Parameters:
listResourcePermissionStatementsRequest- Input for ListResourcePermissionStatements operation- Returns:
- A custom publisher that can be subscribed to request a stream of response pages.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
listResourcePermissionStatementsPaginator
default ListResourcePermissionStatementsPublisher listResourcePermissionStatementsPaginator(Consumer<ListResourcePermissionStatementsRequest.Builder> listResourcePermissionStatementsRequest) This is a variant of
listResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation. The return type is a custom publisher that can be subscribed to request a stream of response pages. SDK will internally handle making service calls for you.When the operation is called, an instance of this class is returned. At this point, no service calls are made yet and so there is no guarantee that the request is valid. If there are errors in your request, you will see the failures only after you start streaming the data. The subscribe method should be called as a request to start streaming data. For more info, see
Publisher.subscribe(org.reactivestreams.Subscriber). Each call to the subscribe method will result in a newSubscriptioni.e., a new contract to stream data from the starting request.The following are few ways to use the response class:
1) Using the subscribe helper method
2) Using a custom subscribersoftware.amazon.awssdk.services.signin.paginators.ListResourcePermissionStatementsPublisher publisher = client.listResourcePermissionStatementsPaginator(request); CompletableFuture<Void> future = publisher.subscribe(res -> { // Do something with the response }); future.get();
As the response is a publisher, it can work well with third party reactive streams implementations like RxJava2.software.amazon.awssdk.services.signin.paginators.ListResourcePermissionStatementsPublisher publisher = client.listResourcePermissionStatementsPaginator(request); publisher.subscribe(new Subscriber<software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsResponse>() { public void onSubscribe(org.reactivestreams.Subscriber subscription) { //... }; public void onNext(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsResponse response) { //... }; });Please notice that the configuration of maxResults won't limit the number of results you get with the paginator. It only limits the number of results in each page.
Note: If you prefer to have control on service calls, use the
listResourcePermissionStatements(software.amazon.awssdk.services.signin.model.ListResourcePermissionStatementsRequest)operation.
This is a convenience which creates an instance of the
ListResourcePermissionStatementsRequest.Builderavoiding the need to create one manually viaListResourcePermissionStatementsRequest.builder()- Parameters:
listResourcePermissionStatementsRequest- AConsumerthat will call methods onListResourcePermissionStatementsRequest.Builderto create a request. Input for ListResourcePermissionStatements operation- Returns:
- A custom publisher that can be subscribed to request a stream of response pages.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
putConsoleAuthorizationConfiguration
default CompletableFuture<PutConsoleAuthorizationConfigurationResponse> putConsoleAuthorizationConfiguration(PutConsoleAuthorizationConfigurationRequest putConsoleAuthorizationConfigurationRequest) Enable console authorization configuration with automatic scope detection
- Parameters:
putConsoleAuthorizationConfigurationRequest- Input for PutConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the PutConsoleAuthorizationConfiguration operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ConflictException Error thrown when request conflicts with current state
HTTP Status Code: 409 Conflict
Used when the request conflicts with the current state of the resource
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
putConsoleAuthorizationConfiguration
default CompletableFuture<PutConsoleAuthorizationConfigurationResponse> putConsoleAuthorizationConfiguration(Consumer<PutConsoleAuthorizationConfigurationRequest.Builder> putConsoleAuthorizationConfigurationRequest) Enable console authorization configuration with automatic scope detection
This is a convenience which creates an instance of the
PutConsoleAuthorizationConfigurationRequest.Builderavoiding the need to create one manually viaPutConsoleAuthorizationConfigurationRequest.builder()- Parameters:
putConsoleAuthorizationConfigurationRequest- AConsumerthat will call methods onPutConsoleAuthorizationConfigurationRequest.Builderto create a request. Input for PutConsoleAuthorizationConfiguration operation- Returns:
- A Java Future containing the result of the PutConsoleAuthorizationConfiguration operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ConflictException Error thrown when request conflicts with current state
HTTP Status Code: 409 Conflict
Used when the request conflicts with the current state of the resource
- ResourceNotFoundException Error thrown when requested resource is not found
HTTP Status Code: 404 Not Found
Used when the specified resource does not exist
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
putResourcePermissionStatement
default CompletableFuture<PutResourcePermissionStatementResponse> putResourcePermissionStatement(PutResourcePermissionStatementRequest putResourcePermissionStatementRequest) Create a permission statement in the account's SignIn resource-based policy
- Parameters:
putResourcePermissionStatementRequest- Input for PutResourcePermissionStatement operation- Returns:
- A Java Future containing the result of the PutResourcePermissionStatement operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ConflictException Error thrown when request conflicts with current state
HTTP Status Code: 409 Conflict
Used when the request conflicts with the current state of the resource
- ServiceQuotaExceededException Error thrown when service quota is exceeded
HTTP Status Code: 402 Payment Required (used as quota exceeded indicator)
Used when the request would cause a service quota to be exceeded
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
putResourcePermissionStatement
default CompletableFuture<PutResourcePermissionStatementResponse> putResourcePermissionStatement(Consumer<PutResourcePermissionStatementRequest.Builder> putResourcePermissionStatementRequest) Create a permission statement in the account's SignIn resource-based policy
This is a convenience which creates an instance of the
PutResourcePermissionStatementRequest.Builderavoiding the need to create one manually viaPutResourcePermissionStatementRequest.builder()- Parameters:
putResourcePermissionStatementRequest- AConsumerthat will call methods onPutResourcePermissionStatementRequest.Builderto create a request. Input for PutResourcePermissionStatement operation- Returns:
- A Java Future containing the result of the PutResourcePermissionStatement operation returned by the
service.
The CompletableFuture returned by this method can be completed exceptionally with the following exceptions. The exception returned is wrapped with CompletionException, so you need to invokeThrowable.getCause()to retrieve the underlying exception.- TooManyRequestsErrorException Error thrown when rate limit is exceeded
HTTP Status Code: 429 Too Many Requests
Possible OAuth2ErrorCode values:
- INVALID_REQUEST: Rate limiting, too many requests, abuse prevention
Possible causes:
- Too many token requests from the same client
- Rate limiting based on client_id or IP address
- Abuse prevention mechanisms triggered
- Service protection against excessive token generation
- ConflictException Error thrown when request conflicts with current state
HTTP Status Code: 409 Conflict
Used when the request conflicts with the current state of the resource
- ServiceQuotaExceededException Error thrown when service quota is exceeded
HTTP Status Code: 402 Payment Required (used as quota exceeded indicator)
Used when the request would cause a service quota to be exceeded
- InternalServerException Error thrown when an internal server error occurs
HTTP Status Code: 500 Internal Server Error
Used for unexpected server-side errors that prevent request processing.
- ValidationException Error thrown when request validation fails
HTTP Status Code: 400 Bad Request
Used for request validation errors such as malformed parameters, missing required fields, or invalid parameter values.
- AccessDeniedException Error thrown for access denied scenarios with flexible HTTP status mapping
Runtime HTTP Status Code Mapping:
- HTTP 401 (Unauthorized): TOKEN_EXPIRED, AUTHCODE_EXPIRED
- HTTP 403 (Forbidden): USER_CREDENTIALS_CHANGED, INSUFFICIENT_PERMISSIONS
The specific HTTP status code is determined at runtime based on the error enum value. Consumers should use the error field to determine the specific access denial reason.
- SdkException Base class for all exceptions that can be thrown by the SDK (both service and client). Can be used for catch all scenarios.
- SdkClientException If any client side error occurs such as an IO related failure, failure to get credentials, etc.
- SigninException Base class for all service exceptions. Unknown exceptions will be thrown as an instance of this type.
- TooManyRequestsErrorException Error thrown when rate limit is exceeded
- See Also:
-
serviceClientConfiguration
Description copied from interface:SdkClientThe SDK service client configuration exposes client settings to the user, e.g., ClientOverrideConfiguration- Specified by:
serviceClientConfigurationin interfaceAwsClient- Specified by:
serviceClientConfigurationin interfaceSdkClient- Returns:
- SdkServiceClientConfiguration
-
create
Create aSigninAsyncClientwith the region loaded from theDefaultAwsRegionProviderChainand credentials loaded from theDefaultCredentialsProvider. -
builder
Create a builder that can be used to configure and create aSigninAsyncClient.
-